Skip to main content
PUT
/
v1
/
dome-configs
/
{config_id}
Update Dome Config
curl --request PUT \
  --url https://api.example.com/v1/dome-configs/{config_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_body": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": 123,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config_body": {},
  "dome_instance_url": "<string>",
  "updated_at": 123,
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Path Parameters

config_id
string<uuid>
required

Query Parameters

team_id
string<uuid>
required

Team ID (required)

Body

application/json

Request model for updating a Dome configuration.

config_body
Config Body · object
required

Updated guard configuration.

Response

Successful Response

API response model for Dome configuration.

id and optional agent_id are top-level fields. config_body is the guard configuration dict (Dome-facing payload). Other metadata (e.g. team_id, timestamps, created_by) is included in the wire shape as returned by the domain model's to_wire() — see OpenAPI schema for the full response shape.

id
string<uuid>
required
created_at
integer
required
created_by
string<uuid>
required
status
string
default:pending
agent_id
string<uuid> | null
config_body
Config Body · object
dome_instance_url
string | null
updated_at
integer | null
updated_by
string<uuid> | null
Last modified on April 21, 2026